FROM python:3.9.7

COPY ["./backend/requirements.txt", "./"]

RUN pip install -r requirements.txt

COPY ["./backend", "./"]

EXPOSE 8080

ENTRYPOINT ["uvicorn", "app.main:app", "--reload", "--host", "0.0.0.0", "--port", "8080"]